Get all deduction element types
get
/hcmRestApi/resources/11.13.18.05/payrollComponentsAndComponentGroups/{DeductionTypeId}/child/DeductionElementTypeRestD
Request
Path Parameters
-
DeductionTypeId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds deduction element type with the specified primary key.
Finder Variables- EffectiveEndDate; string; Primary key value of the effective end date.
- EffectiveStartDate; string; Primary key value of the effective start date.
- ElementTypeId; integer; Primary key value of the element type identifier.
- PrimaryKey Finds deduction element type with the specified primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- BaseDeductionTypeId; integer; Unique identifier of the base deduction type.
- BaseName; string; Name of the base deduction type.
- ClassificationName; string; Classification name of the element type in payroll component.
- DeductionCode; string; Code that identifies the deduction element type.
- DeductionGroupId; integer; Unique identifier of the deduction group of the deduction element type.
- DeductionTypeId; integer; Unique identifier of the deduction type of the deduction element type.
- DeductionTypeIdEO; integer; Unique identifier of the deduction type.
- DefaultingFormulaId; integer; Unique identifier of the defaulting formula of the deduction element type.
- Description; string; Text that describes the deduction element type.
- EffectiveEndDate; string; The date when the deduction element type ends.
- EffectiveStartDate; string; The date when the deduction element type starts.
- ElementName; string; Name of the element of the deduction element type.
- ElementTypeId; integer; Unique identifier of the element type of the deduction element type.
- EndingTimeDefId; integer; Unique identifier of the ending time definition of the deduction element type.
- LegislationCode; string; Code that identifies the legislation.
- LegislationCodeEO; string; Code that identifies the legislation of the deduction element type.
- LegislativeDataGroupId; integer; Unique identifier of the legislative data group of the deduction element type.
- LegislativeDataGroupIdEO; integer; Unique identifier of the legislative data group of the deduction element type.
- ObjectVersionNumber; integer; Version number of the deduction element type.
- ObjectVersionNumberEO; integer; Version number of the deduction element type.
- SystemEffectiveDate; string; System effective data of the deduction element type.
- ValidationFormulaId; integer; Unique identifier of the validation formula of the deduction element type.
- ValidationOverrideMessage; string; Validation override message of the deduction element type.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : payrollComponentsAndComponentGroups-DeductionElementTypeRestD
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : payrollComponentsAndComponentGroups-DeductionElementTypeRestD-item-response
Type:
Show Source
object-
BaseDeductionTypeId: integer
(int64)
Read Only:
trueUnique identifier of the base deduction type. -
BaseName: string
Read Only:
trueMaximum Length:240Name of the base deduction type. -
ClassificationName: string
Read Only:
trueMaximum Length:120Classification name of the element type in payroll component. -
DeductionCode: string
Read Only:
trueMaximum Length:240Code that identifies the deduction element type. -
DeductionGroupId: integer
(int64)
Read Only:
trueUnique identifier of the deduction group of the deduction element type. -
DeductionTypeId: integer
(int64)
Read Only:
trueUnique identifier of the deduction type of the deduction element type. -
DeductionTypeIdEO: integer
(int64)
Read Only:
trueUnique identifier of the deduction type. -
DefaultingFormulaId: integer
(int64)
Read Only:
trueUnique identifier of the defaulting formula of the deduction element type. -
Description: string
Read Only:
trueMaximum Length:240Text that describes the deduction element type. -
EffectiveEndDate: string
(date)
Read Only:
trueThe date when the deduction element type ends. -
EffectiveStartDate: string
(date)
Read Only:
trueThe date when the deduction element type starts. -
ElementName: string
Read Only:
trueMaximum Length:80Name of the element of the deduction element type. -
ElementTypeId: integer
(int64)
Read Only:
trueUnique identifier of the element type of the deduction element type. -
EndingTimeDefId: integer
(int64)
Read Only:
trueUnique identifier of the ending time definition of the deduction element type. -
LegislationCode: string
Read Only:
trueMaximum Length:30Code that identifies the legislation. -
LegislationCodeEO: string
Read Only:
trueMaximum Length:30Code that identifies the legislation of the deduction element type. -
LegislativeDataGroupId: integer
(int64)
Read Only:
trueUnique identifier of the legislative data group of the deduction element type. -
LegislativeDataGroupIdEO: integer
(int64)
Read Only:
trueUnique identifier of the legislative data group of the deduction element type. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Read Only:
trueVersion number of the deduction element type. -
ObjectVersionNumberEO: integer
(int32)
Read Only:
trueVersion number of the deduction element type. -
SystemEffectiveDate: string
(date)
System effective data of the deduction element type.
-
ValidationFormulaId: integer
(int64)
Read Only:
trueUnique identifier of the validation formula of the deduction element type. -
ValidationOverrideMessage: string
Read Only:
trueMaximum Length:30Validation override message of the deduction element type.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.